# Web Cloud › Domains › Contacts API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Web Cloud product's sections: https://developers.eu.ovhcloud.com/reference/web-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 5 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/contacts/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/web-cloud/domains/contacts.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/web-cloud/domains/contacts.json?format=openapi3

## Operations

- `GET /domain/contact` — List all contacts
- `GET /domain/contact/{contactId}` — Get details about a contact
- `POST /domain/contact` — Create a contact
- `PUT /domain/contact/{contactId}` — Update a contact
- `POST /domain/{serviceName}/changeContact` — Launch a contact change procedure

## List all contacts

`GET /1.0/domain/contact`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/contacts/#getContacts

**Status:** Stable production version  
**IAM actions:** `account:apiovh:domain/contact/get`

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Contact[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accreditationCountry` | nichandle.CountryEnum |  | Country of lawyer accreditation — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `accreditationId` | string |  | Lawyer accreditation number |
| `accreditationOrganism` | string |  | Organism of lawyer accreditation |
| `accreditationYear` | integer |  | Year of lawyer accreditation |
| `address` | domain.ContactAddress |  | The address of the contact |
| `address.city` | string |  | City |
| `address.country` | nichandle.CountryEnum |  | Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `address.line1` | string |  | Address line 1 |
| `address.line2` | string |  | Address line 2 |
| `address.line3` | string |  | Address line 3 |
| `address.otherDetails` | string |  | Others details |
| `address.province` | string |  | Province |
| `address.zip` | string |  | Zip code |
| `birthCity` | string |  | City of birth |
| `birthCountry` | nichandle.CountryEnum |  | Birth Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `birthDay` | string (date) |  | Birth date |
| `birthZip` | string |  | Birth Zipcode |
| `cellPhone` | phoneNumber |  | Cellphone number |
| `companyNationalIdentificationNumber` | string |  | Company National Identification Number |
| `email` | string |  | Email address |
| `enterpriseId` | string |  | Enterprise identifier |
| `fax` | string |  | Fax number |
| `firstName` | string |  | First name |
| `gender` | nichandle.GenderEnum |  | Gender — one of `female`, `male` |
| `id` | integer | read-only | Unique identifier |
| `insee` | string |  | INSEE identifier |
| `language` | nichandle.LanguageEnum |  | Language — one of `cs_CZ`, `de_DE`, `en_AU`, `en_CA`, `en_GB`, `en_IE`, `en_US`, `es_ES`, `fi_FI`, `fr_CA`, `fr_FR`, `fr_MA`, … |
| `lastName` | string |  | Last name |
| `legalForm` | nichandle.LegalFormEnum |  | Legal forms a nichandle can be registered as — one of `administration`, `association`, `corporation`, `individual`, `other`, `personalcorporation` |
| `legalFormCategory` | string |  | category of legalForm |
| `nationalIdentificationNumber` | string |  | National Identification Number |
| `nationality` | nichandle.CountryEnum |  | Nationality — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `organisationAccountable` | string |  | To whom is the organisation accountable |
| `organisationFunding` | string |  | What is the source of funding |
| `organisationFundingOther` | string |  | Explain the source of funding if organisationFunding is other |
| `organisationName` | string |  | Name of organisation |
| `organisationRole` | string |  | Role of your organisation |
| `organisationRoleOther` | string |  | Explain the role of your organisation if organisationRole is other |
| `organisationStaffStatus` | string |  | Status of the staff |
| `organisationStaffStatusOther` | string |  | Explain the status of the staff if organisationStaffStatus is other |
| `organisationType` | string |  | type of organisation |
| `organisationTypeOther` | string |  | Explain the type of organisation if organisationType is other |
| `phone` | phoneNumber |  | Phone number |
| `registrantDocumentType` | string |  | Type of registrant document |
| `registrantDocumentTypeOther` | string |  | Explain the type of registrant document if registrantDocumentType is other |
| `roleInOrganisation` | string |  | The role in the organisation |
| `trademarkId` | string |  | Trademark related to the contact |
| `vat` | string |  | VAT number |
| `website` | string |  | Website |

```json
[
  {
    "accreditationCountry": "AC",
    "accreditationId": "string",
    "accreditationOrganism": "string",
    "accreditationYear": 0,
    "address": {
      "city": "string",
      "country": "AC",
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "otherDetails": "string",
      "province": "string",
      "zip": "string"
    },
    "birthCity": "string",
    "birthCountry": "AC",
    "birthDay": "2024-01-01",
    "birthZip": "string",
    "cellPhone": "string",
    "companyNationalIdentificationNumber": "string",
    "email": "string",
    "enterpriseId": "string",
    "fax": "string",
    "firstName": "string",
    "gender": "female",
    "id": 0,
    "insee": "string",
    "language": "cs_CZ",
    "lastName": "string",
    "legalForm": "administration",
    "legalFormCategory": "string",
    "nationalIdentificationNumber": "string",
    "nationality": "AC",
    "organisationAccountable": "string",
    "organisationFunding": "string",
    "organisationFundingOther": "string",
    "organisationName": "string",
    "organisationRole": "string",
    "organisationRoleOther": "string",
    "organisationStaffStatus": "string",
    "organisationStaffStatusOther": "string",
    "organisationType": "string",
    "organisationTypeOther": "string",
    "phone": "string",
    "registrantDocumentType": "string",
    "registrantDocumentTypeOther": "string",
    "roleInOrganisation": "string",
    "trademarkId": "string",
    "vat": "string",
    "website": "string"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/domain/contact" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/domain/contact")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/domain/contact");

print_r($result);
?>
```

## Get details about a contact

`GET /1.0/domain/contact/{contactId}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/contacts/#getContact

**Status:** Stable production version  
**IAM actions:** `account:apiovh:domain/contact/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `contactId` | path | integer | yes | Contact ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Contact | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accreditationCountry` | nichandle.CountryEnum |  | Country of lawyer accreditation — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `accreditationId` | string |  | Lawyer accreditation number |
| `accreditationOrganism` | string |  | Organism of lawyer accreditation |
| `accreditationYear` | integer |  | Year of lawyer accreditation |
| `address` | domain.ContactAddress |  | The address of the contact |
| `address.city` | string |  | City |
| `address.country` | nichandle.CountryEnum |  | Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `address.line1` | string |  | Address line 1 |
| `address.line2` | string |  | Address line 2 |
| `address.line3` | string |  | Address line 3 |
| `address.otherDetails` | string |  | Others details |
| `address.province` | string |  | Province |
| `address.zip` | string |  | Zip code |
| `birthCity` | string |  | City of birth |
| `birthCountry` | nichandle.CountryEnum |  | Birth Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `birthDay` | string (date) |  | Birth date |
| `birthZip` | string |  | Birth Zipcode |
| `cellPhone` | phoneNumber |  | Cellphone number |
| `companyNationalIdentificationNumber` | string |  | Company National Identification Number |
| `email` | string |  | Email address |
| `enterpriseId` | string |  | Enterprise identifier |
| `fax` | string |  | Fax number |
| `firstName` | string |  | First name |
| `gender` | nichandle.GenderEnum |  | Gender — one of `female`, `male` |
| `id` | integer | read-only | Unique identifier |
| `insee` | string |  | INSEE identifier |
| `language` | nichandle.LanguageEnum |  | Language — one of `cs_CZ`, `de_DE`, `en_AU`, `en_CA`, `en_GB`, `en_IE`, `en_US`, `es_ES`, `fi_FI`, `fr_CA`, `fr_FR`, `fr_MA`, … |
| `lastName` | string |  | Last name |
| `legalForm` | nichandle.LegalFormEnum |  | Legal forms a nichandle can be registered as — one of `administration`, `association`, `corporation`, `individual`, `other`, `personalcorporation` |
| `legalFormCategory` | string |  | category of legalForm |
| `nationalIdentificationNumber` | string |  | National Identification Number |
| `nationality` | nichandle.CountryEnum |  | Nationality — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `organisationAccountable` | string |  | To whom is the organisation accountable |
| `organisationFunding` | string |  | What is the source of funding |
| `organisationFundingOther` | string |  | Explain the source of funding if organisationFunding is other |
| `organisationName` | string |  | Name of organisation |
| `organisationRole` | string |  | Role of your organisation |
| `organisationRoleOther` | string |  | Explain the role of your organisation if organisationRole is other |
| `organisationStaffStatus` | string |  | Status of the staff |
| `organisationStaffStatusOther` | string |  | Explain the status of the staff if organisationStaffStatus is other |
| `organisationType` | string |  | type of organisation |
| `organisationTypeOther` | string |  | Explain the type of organisation if organisationType is other |
| `phone` | phoneNumber |  | Phone number |
| `registrantDocumentType` | string |  | Type of registrant document |
| `registrantDocumentTypeOther` | string |  | Explain the type of registrant document if registrantDocumentType is other |
| `roleInOrganisation` | string |  | The role in the organisation |
| `trademarkId` | string |  | Trademark related to the contact |
| `vat` | string |  | VAT number |
| `website` | string |  | Website |

```json
{
  "accreditationCountry": "AC",
  "accreditationId": "string",
  "accreditationOrganism": "string",
  "accreditationYear": 0,
  "address": {
    "city": "string",
    "country": "AC",
    "line1": "string",
    "line2": "string",
    "line3": "string",
    "otherDetails": "string",
    "province": "string",
    "zip": "string"
  },
  "birthCity": "string",
  "birthCountry": "AC",
  "birthDay": "2024-01-01",
  "birthZip": "string",
  "cellPhone": "string",
  "companyNationalIdentificationNumber": "string",
  "email": "string",
  "enterpriseId": "string",
  "fax": "string",
  "firstName": "string",
  "gender": "female",
  "id": 0,
  "insee": "string",
  "language": "cs_CZ",
  "lastName": "string",
  "legalForm": "administration",
  "legalFormCategory": "string",
  "nationalIdentificationNumber": "string",
  "nationality": "AC",
  "organisationAccountable": "string",
  "organisationFunding": "string",
  "organisationFundingOther": "string",
  "organisationName": "string",
  "organisationRole": "string",
  "organisationRoleOther": "string",
  "organisationStaffStatus": "string",
  "organisationStaffStatusOther": "string",
  "organisationType": "string",
  "organisationTypeOther": "string",
  "phone": "string",
  "registrantDocumentType": "string",
  "registrantDocumentTypeOther": "string",
  "roleInOrganisation": "string",
  "trademarkId": "string",
  "vat": "string",
  "website": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/domain/contact/{contactId}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/domain/contact/{contactId}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/domain/contact/{contactId}");

print_r($result);
?>
```

## Create a contact

`POST /1.0/domain/contact`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/contacts/#createContact

**Status:** Stable production version  
**IAM actions:** `account:apiovh:domain/contact/create`

### Request body (required)

Type: `domain.Contact`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accreditationCountry` | nichandle.CountryEnum |  | Country of lawyer accreditation — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `accreditationId` | string |  | Lawyer accreditation number |
| `accreditationOrganism` | string |  | Organism of lawyer accreditation |
| `accreditationYear` | integer |  | Year of lawyer accreditation |
| `address` | domain.ContactAddress |  | The address of the contact |
| `address.city` | string |  | City |
| `address.country` | nichandle.CountryEnum |  | Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `address.line1` | string |  | Address line 1 |
| `address.line2` | string |  | Address line 2 |
| `address.line3` | string |  | Address line 3 |
| `address.otherDetails` | string |  | Others details |
| `address.province` | string |  | Province |
| `address.zip` | string |  | Zip code |
| `birthCity` | string |  | City of birth |
| `birthCountry` | nichandle.CountryEnum |  | Birth Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `birthDay` | string (date) |  | Birth date |
| `birthZip` | string |  | Birth Zipcode |
| `cellPhone` | phoneNumber |  | Cellphone number |
| `companyNationalIdentificationNumber` | string |  | Company National Identification Number |
| `email` | string |  | Email address |
| `enterpriseId` | string |  | Enterprise identifier |
| `fax` | string |  | Fax number |
| `firstName` | string |  | First name |
| `gender` | nichandle.GenderEnum |  | Gender — one of `female`, `male` |
| `id` | integer | read-only | Unique identifier |
| `insee` | string |  | INSEE identifier |
| `language` | nichandle.LanguageEnum |  | Language — one of `cs_CZ`, `de_DE`, `en_AU`, `en_CA`, `en_GB`, `en_IE`, `en_US`, `es_ES`, `fi_FI`, `fr_CA`, `fr_FR`, `fr_MA`, … |
| `lastName` | string |  | Last name |
| `legalForm` | nichandle.LegalFormEnum |  | Legal forms a nichandle can be registered as — one of `administration`, `association`, `corporation`, `individual`, `other`, `personalcorporation` |
| `legalFormCategory` | string |  | category of legalForm |
| `nationalIdentificationNumber` | string |  | National Identification Number |
| `nationality` | nichandle.CountryEnum |  | Nationality — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `organisationAccountable` | string |  | To whom is the organisation accountable |
| `organisationFunding` | string |  | What is the source of funding |
| `organisationFundingOther` | string |  | Explain the source of funding if organisationFunding is other |
| `organisationName` | string |  | Name of organisation |
| `organisationRole` | string |  | Role of your organisation |
| `organisationRoleOther` | string |  | Explain the role of your organisation if organisationRole is other |
| `organisationStaffStatus` | string |  | Status of the staff |
| `organisationStaffStatusOther` | string |  | Explain the status of the staff if organisationStaffStatus is other |
| `organisationType` | string |  | type of organisation |
| `organisationTypeOther` | string |  | Explain the type of organisation if organisationType is other |
| `phone` | phoneNumber |  | Phone number |
| `registrantDocumentType` | string |  | Type of registrant document |
| `registrantDocumentTypeOther` | string |  | Explain the type of registrant document if registrantDocumentType is other |
| `roleInOrganisation` | string |  | The role in the organisation |
| `trademarkId` | string |  | Trademark related to the contact |
| `vat` | string |  | VAT number |
| `website` | string |  | Website |

```json
{
  "accreditationCountry": "AC",
  "accreditationId": "string",
  "accreditationOrganism": "string",
  "accreditationYear": 0,
  "address": {
    "city": "string",
    "country": "AC",
    "line1": "string",
    "line2": "string",
    "line3": "string",
    "otherDetails": "string",
    "province": "string",
    "zip": "string"
  },
  "birthCity": "string",
  "birthCountry": "AC",
  "birthDay": "2024-01-01",
  "birthZip": "string",
  "cellPhone": "string",
  "companyNationalIdentificationNumber": "string",
  "email": "string",
  "enterpriseId": "string",
  "fax": "string",
  "firstName": "string",
  "gender": "female",
  "insee": "string",
  "language": "cs_CZ",
  "lastName": "string",
  "legalForm": "administration",
  "legalFormCategory": "string",
  "nationalIdentificationNumber": "string",
  "nationality": "AC",
  "organisationAccountable": "string",
  "organisationFunding": "string",
  "organisationFundingOther": "string",
  "organisationName": "string",
  "organisationRole": "string",
  "organisationRoleOther": "string",
  "organisationStaffStatus": "string",
  "organisationStaffStatusOther": "string",
  "organisationType": "string",
  "organisationTypeOther": "string",
  "phone": "string",
  "registrantDocumentType": "string",
  "registrantDocumentTypeOther": "string",
  "roleInOrganisation": "string",
  "trademarkId": "string",
  "vat": "string",
  "website": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Contact | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accreditationCountry` | nichandle.CountryEnum |  | Country of lawyer accreditation — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `accreditationId` | string |  | Lawyer accreditation number |
| `accreditationOrganism` | string |  | Organism of lawyer accreditation |
| `accreditationYear` | integer |  | Year of lawyer accreditation |
| `address` | domain.ContactAddress |  | The address of the contact |
| `address.city` | string |  | City |
| `address.country` | nichandle.CountryEnum |  | Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `address.line1` | string |  | Address line 1 |
| `address.line2` | string |  | Address line 2 |
| `address.line3` | string |  | Address line 3 |
| `address.otherDetails` | string |  | Others details |
| `address.province` | string |  | Province |
| `address.zip` | string |  | Zip code |
| `birthCity` | string |  | City of birth |
| `birthCountry` | nichandle.CountryEnum |  | Birth Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `birthDay` | string (date) |  | Birth date |
| `birthZip` | string |  | Birth Zipcode |
| `cellPhone` | phoneNumber |  | Cellphone number |
| `companyNationalIdentificationNumber` | string |  | Company National Identification Number |
| `email` | string |  | Email address |
| `enterpriseId` | string |  | Enterprise identifier |
| `fax` | string |  | Fax number |
| `firstName` | string |  | First name |
| `gender` | nichandle.GenderEnum |  | Gender — one of `female`, `male` |
| `id` | integer | read-only | Unique identifier |
| `insee` | string |  | INSEE identifier |
| `language` | nichandle.LanguageEnum |  | Language — one of `cs_CZ`, `de_DE`, `en_AU`, `en_CA`, `en_GB`, `en_IE`, `en_US`, `es_ES`, `fi_FI`, `fr_CA`, `fr_FR`, `fr_MA`, … |
| `lastName` | string |  | Last name |
| `legalForm` | nichandle.LegalFormEnum |  | Legal forms a nichandle can be registered as — one of `administration`, `association`, `corporation`, `individual`, `other`, `personalcorporation` |
| `legalFormCategory` | string |  | category of legalForm |
| `nationalIdentificationNumber` | string |  | National Identification Number |
| `nationality` | nichandle.CountryEnum |  | Nationality — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `organisationAccountable` | string |  | To whom is the organisation accountable |
| `organisationFunding` | string |  | What is the source of funding |
| `organisationFundingOther` | string |  | Explain the source of funding if organisationFunding is other |
| `organisationName` | string |  | Name of organisation |
| `organisationRole` | string |  | Role of your organisation |
| `organisationRoleOther` | string |  | Explain the role of your organisation if organisationRole is other |
| `organisationStaffStatus` | string |  | Status of the staff |
| `organisationStaffStatusOther` | string |  | Explain the status of the staff if organisationStaffStatus is other |
| `organisationType` | string |  | type of organisation |
| `organisationTypeOther` | string |  | Explain the type of organisation if organisationType is other |
| `phone` | phoneNumber |  | Phone number |
| `registrantDocumentType` | string |  | Type of registrant document |
| `registrantDocumentTypeOther` | string |  | Explain the type of registrant document if registrantDocumentType is other |
| `roleInOrganisation` | string |  | The role in the organisation |
| `trademarkId` | string |  | Trademark related to the contact |
| `vat` | string |  | VAT number |
| `website` | string |  | Website |

```json
{
  "accreditationCountry": "AC",
  "accreditationId": "string",
  "accreditationOrganism": "string",
  "accreditationYear": 0,
  "address": {
    "city": "string",
    "country": "AC",
    "line1": "string",
    "line2": "string",
    "line3": "string",
    "otherDetails": "string",
    "province": "string",
    "zip": "string"
  },
  "birthCity": "string",
  "birthCountry": "AC",
  "birthDay": "2024-01-01",
  "birthZip": "string",
  "cellPhone": "string",
  "companyNationalIdentificationNumber": "string",
  "email": "string",
  "enterpriseId": "string",
  "fax": "string",
  "firstName": "string",
  "gender": "female",
  "id": 0,
  "insee": "string",
  "language": "cs_CZ",
  "lastName": "string",
  "legalForm": "administration",
  "legalFormCategory": "string",
  "nationalIdentificationNumber": "string",
  "nationality": "AC",
  "organisationAccountable": "string",
  "organisationFunding": "string",
  "organisationFundingOther": "string",
  "organisationName": "string",
  "organisationRole": "string",
  "organisationRoleOther": "string",
  "organisationStaffStatus": "string",
  "organisationStaffStatusOther": "string",
  "organisationType": "string",
  "organisationTypeOther": "string",
  "phone": "string",
  "registrantDocumentType": "string",
  "registrantDocumentTypeOther": "string",
  "roleInOrganisation": "string",
  "trademarkId": "string",
  "vat": "string",
  "website": "string"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/domain/contact" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: domain.Contact
result = client.post("/domain/contact",
	accreditationCountry = None, # Country of lawyer accreditation (type: nichandle.CountryEnum, nullable)
	accreditationId = None, # Lawyer accreditation number (type: string, nullable)
	accreditationOrganism = None, # Organism of lawyer accreditation (type: string, nullable)
	accreditationYear = None, # Year of lawyer accreditation (type: integer, nullable)
	address = None, # The address of the contact (type: domain.ContactAddress, nullable)
	birthCity = None, # City of birth (type: string, nullable)
	birthCountry = None, # Birth Country (type: nichandle.CountryEnum, nullable)
	birthDay = None, # Birth date (type: string, nullable)
	birthZip = None, # Birth Zipcode (type: string, nullable)
	cellPhone = None, # Cellphone number (type: phoneNumber, nullable)
	companyNationalIdentificationNumber = None, # Company National Identification Number (type: string, nullable)
	email = None, # Email address (type: string, nullable)
	enterpriseId = None, # Enterprise identifier (type: string, nullable)
	fax = None, # Fax number (type: string, nullable)
	firstName = None, # First name (type: string, nullable)
	gender = None, # Gender (type: nichandle.GenderEnum, nullable)
	insee = None, # INSEE identifier (type: string, nullable)
	language = None, # Language (type: nichandle.LanguageEnum, nullable)
	lastName = None, # Last name (type: string, nullable)
	legalForm = None, #  (type: nichandle.LegalFormEnum, nullable)
	legalFormCategory = None, # category of legalForm (type: string, nullable)
	nationalIdentificationNumber = None, # National Identification Number (type: string, nullable)
	nationality = None, # Nationality (type: nichandle.CountryEnum, nullable)
	organisationAccountable = None, # To whom is the organisation accountable (type: string, nullable)
	organisationFunding = None, # What is the source of funding (type: string, nullable)
	organisationFundingOther = None, # Explain the source of funding if organisationFunding is other (type: string, nullable)
	organisationName = None, # Name of organisation (type: string, nullable)
	organisationRole = None, # Role of your organisation (type: string, nullable)
	organisationRoleOther = None, # Explain the role of your organisation if organisationRole is other (type: string, nullable)
	organisationStaffStatus = None, # Status of the staff (type: string, nullable)
	organisationStaffStatusOther = None, # Explain the status of the staff if organisationStaffStatus is other (type: string, nullable)
	organisationType = None, # type of organisation (type: string, nullable)
	organisationTypeOther = None, # Explain the type of organisation if organisationType is other (type: string, nullable)
	phone = None, # Phone number (type: phoneNumber, nullable)
	registrantDocumentType = None, # Type of registrant document (type: string, nullable)
	registrantDocumentTypeOther = None, # Explain the type of registrant document if registrantDocumentType is other (type: string, nullable)
	roleInOrganisation = None, # The role in the organisation (type: string, nullable)
	trademarkId = None, # Trademark related to the contact (type: string, nullable)
	vat = None, # VAT number (type: string, nullable)
	website = None, # Website (type: string, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: domain.Contact
$result = $ovh->post("/domain/contact", array(
	accreditationCountry => null, // Country of lawyer accreditation (type: nichandle.CountryEnum, nullable)
	accreditationId => null, // Lawyer accreditation number (type: string, nullable)
	accreditationOrganism => null, // Organism of lawyer accreditation (type: string, nullable)
	accreditationYear => null, // Year of lawyer accreditation (type: integer, nullable)
	address => null, // The address of the contact (type: domain.ContactAddress, nullable)
	birthCity => null, // City of birth (type: string, nullable)
	birthCountry => null, // Birth Country (type: nichandle.CountryEnum, nullable)
	birthDay => null, // Birth date (type: string, nullable)
	birthZip => null, // Birth Zipcode (type: string, nullable)
	cellPhone => null, // Cellphone number (type: phoneNumber, nullable)
	companyNationalIdentificationNumber => null, // Company National Identification Number (type: string, nullable)
	email => null, // Email address (type: string, nullable)
	enterpriseId => null, // Enterprise identifier (type: string, nullable)
	fax => null, // Fax number (type: string, nullable)
	firstName => null, // First name (type: string, nullable)
	gender => null, // Gender (type: nichandle.GenderEnum, nullable)
	insee => null, // INSEE identifier (type: string, nullable)
	language => null, // Language (type: nichandle.LanguageEnum, nullable)
	lastName => null, // Last name (type: string, nullable)
	legalForm => null, //  (type: nichandle.LegalFormEnum, nullable)
	legalFormCategory => null, // category of legalForm (type: string, nullable)
	nationalIdentificationNumber => null, // National Identification Number (type: string, nullable)
	nationality => null, // Nationality (type: nichandle.CountryEnum, nullable)
	organisationAccountable => null, // To whom is the organisation accountable (type: string, nullable)
	organisationFunding => null, // What is the source of funding (type: string, nullable)
	organisationFundingOther => null, // Explain the source of funding if organisationFunding is other (type: string, nullable)
	organisationName => null, // Name of organisation (type: string, nullable)
	organisationRole => null, // Role of your organisation (type: string, nullable)
	organisationRoleOther => null, // Explain the role of your organisation if organisationRole is other (type: string, nullable)
	organisationStaffStatus => null, // Status of the staff (type: string, nullable)
	organisationStaffStatusOther => null, // Explain the status of the staff if organisationStaffStatus is other (type: string, nullable)
	organisationType => null, // type of organisation (type: string, nullable)
	organisationTypeOther => null, // Explain the type of organisation if organisationType is other (type: string, nullable)
	phone => null, // Phone number (type: phoneNumber, nullable)
	registrantDocumentType => null, // Type of registrant document (type: string, nullable)
	registrantDocumentTypeOther => null, // Explain the type of registrant document if registrantDocumentType is other (type: string, nullable)
	roleInOrganisation => null, // The role in the organisation (type: string, nullable)
	trademarkId => null, // Trademark related to the contact (type: string, nullable)
	vat => null, // VAT number (type: string, nullable)
	website => null, // Website (type: string, nullable)
));

print_r($result);
?>
```

## Update a contact

`PUT /1.0/domain/contact/{contactId}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/contacts/#updateContact

**Status:** Stable production version  
**IAM actions:** `account:apiovh:domain/contact/edit`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `contactId` | path | integer | yes | Contact ID |

### Request body (required)

Type: `domain.Contact`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accreditationCountry` | nichandle.CountryEnum |  | Country of lawyer accreditation — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `accreditationId` | string |  | Lawyer accreditation number |
| `accreditationOrganism` | string |  | Organism of lawyer accreditation |
| `accreditationYear` | integer |  | Year of lawyer accreditation |
| `address` | domain.ContactAddress |  | The address of the contact |
| `address.city` | string |  | City |
| `address.country` | nichandle.CountryEnum |  | Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `address.line1` | string |  | Address line 1 |
| `address.line2` | string |  | Address line 2 |
| `address.line3` | string |  | Address line 3 |
| `address.otherDetails` | string |  | Others details |
| `address.province` | string |  | Province |
| `address.zip` | string |  | Zip code |
| `birthCity` | string |  | City of birth |
| `birthCountry` | nichandle.CountryEnum |  | Birth Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `birthDay` | string (date) |  | Birth date |
| `birthZip` | string |  | Birth Zipcode |
| `cellPhone` | phoneNumber |  | Cellphone number |
| `companyNationalIdentificationNumber` | string |  | Company National Identification Number |
| `email` | string |  | Email address |
| `enterpriseId` | string |  | Enterprise identifier |
| `fax` | string |  | Fax number |
| `firstName` | string |  | First name |
| `gender` | nichandle.GenderEnum |  | Gender — one of `female`, `male` |
| `id` | integer | read-only | Unique identifier |
| `insee` | string |  | INSEE identifier |
| `language` | nichandle.LanguageEnum |  | Language — one of `cs_CZ`, `de_DE`, `en_AU`, `en_CA`, `en_GB`, `en_IE`, `en_US`, `es_ES`, `fi_FI`, `fr_CA`, `fr_FR`, `fr_MA`, … |
| `lastName` | string |  | Last name |
| `legalForm` | nichandle.LegalFormEnum |  | Legal forms a nichandle can be registered as — one of `administration`, `association`, `corporation`, `individual`, `other`, `personalcorporation` |
| `legalFormCategory` | string |  | category of legalForm |
| `nationalIdentificationNumber` | string |  | National Identification Number |
| `nationality` | nichandle.CountryEnum |  | Nationality — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `organisationAccountable` | string |  | To whom is the organisation accountable |
| `organisationFunding` | string |  | What is the source of funding |
| `organisationFundingOther` | string |  | Explain the source of funding if organisationFunding is other |
| `organisationName` | string |  | Name of organisation |
| `organisationRole` | string |  | Role of your organisation |
| `organisationRoleOther` | string |  | Explain the role of your organisation if organisationRole is other |
| `organisationStaffStatus` | string |  | Status of the staff |
| `organisationStaffStatusOther` | string |  | Explain the status of the staff if organisationStaffStatus is other |
| `organisationType` | string |  | type of organisation |
| `organisationTypeOther` | string |  | Explain the type of organisation if organisationType is other |
| `phone` | phoneNumber |  | Phone number |
| `registrantDocumentType` | string |  | Type of registrant document |
| `registrantDocumentTypeOther` | string |  | Explain the type of registrant document if registrantDocumentType is other |
| `roleInOrganisation` | string |  | The role in the organisation |
| `trademarkId` | string |  | Trademark related to the contact |
| `vat` | string |  | VAT number |
| `website` | string |  | Website |

```json
{
  "accreditationCountry": "AC",
  "accreditationId": "string",
  "accreditationOrganism": "string",
  "accreditationYear": 0,
  "address": {
    "city": "string",
    "country": "AC",
    "line1": "string",
    "line2": "string",
    "line3": "string",
    "otherDetails": "string",
    "province": "string",
    "zip": "string"
  },
  "birthCity": "string",
  "birthCountry": "AC",
  "birthDay": "2024-01-01",
  "birthZip": "string",
  "cellPhone": "string",
  "companyNationalIdentificationNumber": "string",
  "email": "string",
  "enterpriseId": "string",
  "fax": "string",
  "firstName": "string",
  "gender": "female",
  "insee": "string",
  "language": "cs_CZ",
  "lastName": "string",
  "legalForm": "administration",
  "legalFormCategory": "string",
  "nationalIdentificationNumber": "string",
  "nationality": "AC",
  "organisationAccountable": "string",
  "organisationFunding": "string",
  "organisationFundingOther": "string",
  "organisationName": "string",
  "organisationRole": "string",
  "organisationRoleOther": "string",
  "organisationStaffStatus": "string",
  "organisationStaffStatusOther": "string",
  "organisationType": "string",
  "organisationTypeOther": "string",
  "phone": "string",
  "registrantDocumentType": "string",
  "registrantDocumentTypeOther": "string",
  "roleInOrganisation": "string",
  "trademarkId": "string",
  "vat": "string",
  "website": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Contact | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accreditationCountry` | nichandle.CountryEnum |  | Country of lawyer accreditation — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `accreditationId` | string |  | Lawyer accreditation number |
| `accreditationOrganism` | string |  | Organism of lawyer accreditation |
| `accreditationYear` | integer |  | Year of lawyer accreditation |
| `address` | domain.ContactAddress |  | The address of the contact |
| `address.city` | string |  | City |
| `address.country` | nichandle.CountryEnum |  | Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `address.line1` | string |  | Address line 1 |
| `address.line2` | string |  | Address line 2 |
| `address.line3` | string |  | Address line 3 |
| `address.otherDetails` | string |  | Others details |
| `address.province` | string |  | Province |
| `address.zip` | string |  | Zip code |
| `birthCity` | string |  | City of birth |
| `birthCountry` | nichandle.CountryEnum |  | Birth Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `birthDay` | string (date) |  | Birth date |
| `birthZip` | string |  | Birth Zipcode |
| `cellPhone` | phoneNumber |  | Cellphone number |
| `companyNationalIdentificationNumber` | string |  | Company National Identification Number |
| `email` | string |  | Email address |
| `enterpriseId` | string |  | Enterprise identifier |
| `fax` | string |  | Fax number |
| `firstName` | string |  | First name |
| `gender` | nichandle.GenderEnum |  | Gender — one of `female`, `male` |
| `id` | integer | read-only | Unique identifier |
| `insee` | string |  | INSEE identifier |
| `language` | nichandle.LanguageEnum |  | Language — one of `cs_CZ`, `de_DE`, `en_AU`, `en_CA`, `en_GB`, `en_IE`, `en_US`, `es_ES`, `fi_FI`, `fr_CA`, `fr_FR`, `fr_MA`, … |
| `lastName` | string |  | Last name |
| `legalForm` | nichandle.LegalFormEnum |  | Legal forms a nichandle can be registered as — one of `administration`, `association`, `corporation`, `individual`, `other`, `personalcorporation` |
| `legalFormCategory` | string |  | category of legalForm |
| `nationalIdentificationNumber` | string |  | National Identification Number |
| `nationality` | nichandle.CountryEnum |  | Nationality — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `organisationAccountable` | string |  | To whom is the organisation accountable |
| `organisationFunding` | string |  | What is the source of funding |
| `organisationFundingOther` | string |  | Explain the source of funding if organisationFunding is other |
| `organisationName` | string |  | Name of organisation |
| `organisationRole` | string |  | Role of your organisation |
| `organisationRoleOther` | string |  | Explain the role of your organisation if organisationRole is other |
| `organisationStaffStatus` | string |  | Status of the staff |
| `organisationStaffStatusOther` | string |  | Explain the status of the staff if organisationStaffStatus is other |
| `organisationType` | string |  | type of organisation |
| `organisationTypeOther` | string |  | Explain the type of organisation if organisationType is other |
| `phone` | phoneNumber |  | Phone number |
| `registrantDocumentType` | string |  | Type of registrant document |
| `registrantDocumentTypeOther` | string |  | Explain the type of registrant document if registrantDocumentType is other |
| `roleInOrganisation` | string |  | The role in the organisation |
| `trademarkId` | string |  | Trademark related to the contact |
| `vat` | string |  | VAT number |
| `website` | string |  | Website |

```json
{
  "accreditationCountry": "AC",
  "accreditationId": "string",
  "accreditationOrganism": "string",
  "accreditationYear": 0,
  "address": {
    "city": "string",
    "country": "AC",
    "line1": "string",
    "line2": "string",
    "line3": "string",
    "otherDetails": "string",
    "province": "string",
    "zip": "string"
  },
  "birthCity": "string",
  "birthCountry": "AC",
  "birthDay": "2024-01-01",
  "birthZip": "string",
  "cellPhone": "string",
  "companyNationalIdentificationNumber": "string",
  "email": "string",
  "enterpriseId": "string",
  "fax": "string",
  "firstName": "string",
  "gender": "female",
  "id": 0,
  "insee": "string",
  "language": "cs_CZ",
  "lastName": "string",
  "legalForm": "administration",
  "legalFormCategory": "string",
  "nationalIdentificationNumber": "string",
  "nationality": "AC",
  "organisationAccountable": "string",
  "organisationFunding": "string",
  "organisationFundingOther": "string",
  "organisationName": "string",
  "organisationRole": "string",
  "organisationRoleOther": "string",
  "organisationStaffStatus": "string",
  "organisationStaffStatusOther": "string",
  "organisationType": "string",
  "organisationTypeOther": "string",
  "phone": "string",
  "registrantDocumentType": "string",
  "registrantDocumentTypeOther": "string",
  "roleInOrganisation": "string",
  "trademarkId": "string",
  "vat": "string",
  "website": "string"
}
```

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/domain/contact/{contactId}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: domain.Contact
result = client.put("/domain/contact/{contactId}",
	accreditationCountry = None, # Country of lawyer accreditation (type: nichandle.CountryEnum, nullable)
	accreditationId = None, # Lawyer accreditation number (type: string, nullable)
	accreditationOrganism = None, # Organism of lawyer accreditation (type: string, nullable)
	accreditationYear = None, # Year of lawyer accreditation (type: integer, nullable)
	address = None, # The address of the contact (type: domain.ContactAddress, nullable)
	birthCity = None, # City of birth (type: string, nullable)
	birthCountry = None, # Birth Country (type: nichandle.CountryEnum, nullable)
	birthDay = None, # Birth date (type: string, nullable)
	birthZip = None, # Birth Zipcode (type: string, nullable)
	cellPhone = None, # Cellphone number (type: phoneNumber, nullable)
	companyNationalIdentificationNumber = None, # Company National Identification Number (type: string, nullable)
	email = None, # Email address (type: string, nullable)
	enterpriseId = None, # Enterprise identifier (type: string, nullable)
	fax = None, # Fax number (type: string, nullable)
	firstName = None, # First name (type: string, nullable)
	gender = None, # Gender (type: nichandle.GenderEnum, nullable)
	insee = None, # INSEE identifier (type: string, nullable)
	language = None, # Language (type: nichandle.LanguageEnum, nullable)
	lastName = None, # Last name (type: string, nullable)
	legalForm = None, #  (type: nichandle.LegalFormEnum, nullable)
	legalFormCategory = None, # category of legalForm (type: string, nullable)
	nationalIdentificationNumber = None, # National Identification Number (type: string, nullable)
	nationality = None, # Nationality (type: nichandle.CountryEnum, nullable)
	organisationAccountable = None, # To whom is the organisation accountable (type: string, nullable)
	organisationFunding = None, # What is the source of funding (type: string, nullable)
	organisationFundingOther = None, # Explain the source of funding if organisationFunding is other (type: string, nullable)
	organisationName = None, # Name of organisation (type: string, nullable)
	organisationRole = None, # Role of your organisation (type: string, nullable)
	organisationRoleOther = None, # Explain the role of your organisation if organisationRole is other (type: string, nullable)
	organisationStaffStatus = None, # Status of the staff (type: string, nullable)
	organisationStaffStatusOther = None, # Explain the status of the staff if organisationStaffStatus is other (type: string, nullable)
	organisationType = None, # type of organisation (type: string, nullable)
	organisationTypeOther = None, # Explain the type of organisation if organisationType is other (type: string, nullable)
	phone = None, # Phone number (type: phoneNumber, nullable)
	registrantDocumentType = None, # Type of registrant document (type: string, nullable)
	registrantDocumentTypeOther = None, # Explain the type of registrant document if registrantDocumentType is other (type: string, nullable)
	roleInOrganisation = None, # The role in the organisation (type: string, nullable)
	trademarkId = None, # Trademark related to the contact (type: string, nullable)
	vat = None, # VAT number (type: string, nullable)
	website = None, # Website (type: string, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: domain.Contact
$result = $ovh->put("/domain/contact/{contactId}", array(
	accreditationCountry => null, // Country of lawyer accreditation (type: nichandle.CountryEnum, nullable)
	accreditationId => null, // Lawyer accreditation number (type: string, nullable)
	accreditationOrganism => null, // Organism of lawyer accreditation (type: string, nullable)
	accreditationYear => null, // Year of lawyer accreditation (type: integer, nullable)
	address => null, // The address of the contact (type: domain.ContactAddress, nullable)
	birthCity => null, // City of birth (type: string, nullable)
	birthCountry => null, // Birth Country (type: nichandle.CountryEnum, nullable)
	birthDay => null, // Birth date (type: string, nullable)
	birthZip => null, // Birth Zipcode (type: string, nullable)
	cellPhone => null, // Cellphone number (type: phoneNumber, nullable)
	companyNationalIdentificationNumber => null, // Company National Identification Number (type: string, nullable)
	email => null, // Email address (type: string, nullable)
	enterpriseId => null, // Enterprise identifier (type: string, nullable)
	fax => null, // Fax number (type: string, nullable)
	firstName => null, // First name (type: string, nullable)
	gender => null, // Gender (type: nichandle.GenderEnum, nullable)
	insee => null, // INSEE identifier (type: string, nullable)
	language => null, // Language (type: nichandle.LanguageEnum, nullable)
	lastName => null, // Last name (type: string, nullable)
	legalForm => null, //  (type: nichandle.LegalFormEnum, nullable)
	legalFormCategory => null, // category of legalForm (type: string, nullable)
	nationalIdentificationNumber => null, // National Identification Number (type: string, nullable)
	nationality => null, // Nationality (type: nichandle.CountryEnum, nullable)
	organisationAccountable => null, // To whom is the organisation accountable (type: string, nullable)
	organisationFunding => null, // What is the source of funding (type: string, nullable)
	organisationFundingOther => null, // Explain the source of funding if organisationFunding is other (type: string, nullable)
	organisationName => null, // Name of organisation (type: string, nullable)
	organisationRole => null, // Role of your organisation (type: string, nullable)
	organisationRoleOther => null, // Explain the role of your organisation if organisationRole is other (type: string, nullable)
	organisationStaffStatus => null, // Status of the staff (type: string, nullable)
	organisationStaffStatusOther => null, // Explain the status of the staff if organisationStaffStatus is other (type: string, nullable)
	organisationType => null, // type of organisation (type: string, nullable)
	organisationTypeOther => null, // Explain the type of organisation if organisationType is other (type: string, nullable)
	phone => null, // Phone number (type: phoneNumber, nullable)
	registrantDocumentType => null, // Type of registrant document (type: string, nullable)
	registrantDocumentTypeOther => null, // Explain the type of registrant document if registrantDocumentType is other (type: string, nullable)
	roleInOrganisation => null, // The role in the organisation (type: string, nullable)
	trademarkId => null, // Trademark related to the contact (type: string, nullable)
	vat => null, // VAT number (type: string, nullable)
	website => null, // Website (type: string, nullable)
));

print_r($result);
?>
```

## Launch a contact change procedure

`POST /1.0/domain/{serviceName}/changeContact`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/contacts/#post-domain-servicename-changecontact

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:changeContact`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `services.changeContact`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `contactAdmin` | string |  | The contact to set as admin contact |
| `contactBilling` | string |  | The contact to set as billing contact |
| `contactTech` | string |  | The contact to set as tech contact |

```json
{
  "contactAdmin": "string",
  "contactBilling": "string",
  "contactTech": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | integer[] | successful operation |

```json
[
  0
]
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/changeContact" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: services.changeContact
result = client.post("/domain/{serviceName}/changeContact",
	contactAdmin = None, # The contact to set as admin contact (type: string)
	contactBilling = None, # The contact to set as billing contact (type: string)
	contactTech = None, # The contact to set as tech contact (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: services.changeContact
$result = $ovh->post("/domain/{serviceName}/changeContact", array(
	contactAdmin => null, // The contact to set as admin contact (type: string)
	contactBilling => null, // The contact to set as billing contact (type: string)
	contactTech => null, // The contact to set as tech contact (type: string)
));

print_r($result);
?>
```
